# @gdquest/codemirror-gdscript

## `gdscript` extension

### Purpose

This extension enables Codemirror to parse GDScript (ie. highlight and indent automatically).

### Usage

```javascript
import { basicSetup } from "codemirror";
import { EditorView } from "@codemirror/view";
import { gdscript } from "@gdquest/codemirror-gdscript";

new EditorView({
  extensions: [basicSetup, gdscript()],
});
```
